Name:           gfs2-utils
Version:        3.2.0
Release:        5
Summary:        Global Filesystem Utilities

License:        GPLv2+ and LGPLv2+
URL:            https://pagure.io/gfs2-utils
Source0:        https://releases.pagure.org/gfs2-utils/gfs2-utils-%{version}.tar.gz

BuildRequires:  ncurses-devel kernel-headers automake libtool zlib-devel gettext-devel
BuildRequires:  bison flex libblkid-devel libuuid-devel check-devel

%description
The gfs2-utils package contains a number of utilities for creating, checking,
modifying, and correcting inconsistencies in GFS2 file systems.

%package_help


%prep
%autosetup -n %{name}-%{version} -p1

%build
./autogen.sh
%configure
%make_build

%check
make check || { cat tests/testsuite.log; exit 1; }

%install
make -C gfs2 install DESTDIR=%{buildroot}

%files
%defattr(-,root,root)
%license doc/COPYING.* doc/COPYRIGHT doc/README.licence
%{_sbindir}/gfs2*
%{_sbindir}/*.gfs2
%{_sbindir}/tunegfs2
%{_sbindir}/glocktop
%{_prefix}/lib/udev/rules.d/*.rules
%exclude %{_sbindir}/gfs2_trace
%exclude %{_sbindir}/gfs2_lockcapture

%files help
%defattr(-,root,root)
%doc doc/*.txt doc/README.contributing
%{_mandir}/man5/*
%{_mandir}/man8/*
%exclude %{_mandir}/man8/gfs2_trace.8.gz
%exclude %{_mandir}/man8/gfs2_lockcapture.8.gz

%changelog
* Tue Jan 21 2020 daiqianwen <daiqianwen@huawei.com> - 3.2.0-5
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: modify spec

* Sat Nov 23 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.2.0-4
- Package Init

